<project name="JDB Labs TimeStamper CLI" default="build">

    <property environment="env"/>
    <property file="project.properties"/>
    <import file="jdb-build-1.10.xml"/>

    <target name="package" depends="build">
        <property name="package.dir" value="${build.dir}/${name}-${version}"/>
        <mkdir dir="${package.dir}/lib"/>
        <copy file="${build.dir}/${name}-${version}.${build.number}.jar"
              tofile="${package.dir}/${name}-${version}.jar"/>
        <copy todir="${package.dir}">
            <filterset><filter token="VERSION" value="${version}"/></filterset>
            <fileset dir="${resources.dir}/bin"/>
        </copy>
        <copy todir="${package.dir}/lib">
            <fileset dir="${build.dir}/lib/runtime/jar"/>
            <fileset dir="${resources.dir}/config"/>
        </copy>
        <zip basedir="${build.dir}" includes="${name}-${version}/"
             destfile="${build.dir}/${name}-${version}.zip"/>

    </target>
</project>
